Show / Hide Table of Contents

# Class SaveResultsRequestParams

Parameters for the save results request

##### Inheritance

System.Object
SaveResultsRequestParams
SaveResultsAsCsvRequestParams
SaveResultsAsJsonRequestParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SaveResultsRequestParams

### Properties

| Improve this Doc View Source

#### BatchIndex

Index of the batch to get the results from

##### Declaration

    public int BatchIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ColumnEndIndex

End index of the selected columns (inclusive)

##### Declaration

    public int ? ColumnEndIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### ColumnStartIndex

Start index of the selected columns (inclusive)

##### Declaration

    public int ? ColumnStartIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### FilePath

The path of the file to save results in

##### Declaration

    public string FilePath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### OwnerUri

URI for the editor that called save results

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ResultSetIndex

Index of the result set to get the results from

##### Declaration

    public int ResultSetIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RowEndIndex

End index of the selected rows (inclusive)

##### Declaration

    public int ? RowEndIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### RowStartIndex

Start index of the selected rows (inclusive)

##### Declaration

    public int ? RowStartIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |